# load R packages

install.packages(c("shiny", "demography", "rainbow", "fda"))
library(shiny)
library(demography)
library(rainbow)
library(fda)

# set working directory

load("label.RData")

shinyUI(fluidPage(
  # Application title
  titlePanel("Japanese Mortility Database"),
  sidebarLayout(position = "left",
    sidebarPanel(   
    	h4("Functional time series plot"),
  		br(),
		fluidRow(
		    column(12, selectInput(inputId = "country", label = "Select Region", choices = cn0, width="100%" )),   
		    column(12, selectInput(inputId = "sex", label = "Select Sex", choices = c("Female" = "Female", "Male" = "Male", "Total" = "Total"), width="100%" )),    
		    column(12, checkboxInput(inputId = "smooth2", label = "Smooth schedule of Age-specific mortality rate"))
		)
	  ),
    mainPanel(  
    	fluidRow(
		    # column(6, strong(textOutput("plot_t1")),  plotOutput("plot1")),
		    column(11, strong(textOutput("plot_t2")),  plotOutput("plot2"))
	  	)
    )
  ) 
))

